Realm 4 Fody Error

cloud

#1

We have just upgraded the Realm nuget package in our .NET app to Realm 4.0. We now get a build error

Error Fody: No weavers found for the configuration entries RealmWeaver. Add the desired weavers via their nuget package; see https://github.com/Fody/Fody/wiki on how to migrate InSolution, custom or legacy weavers.

Any thoughts?


#2

Check out the 3.x upgrade guide: https://realm.io/docs/dotnet/latest/#upgrading-from-realm-3x

Upgrade the Realm package, remove Realm.Database and Realm.Databinding packages, delete the Tools folder in your solution (where that realm/fody weaver dll is), and in FodyWeavers.xml change from RealmWeaver to Realm.